<%@ Page Language="VB" ASPCOMPAT="TRUE" Debug="true"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="en-US" xml:lang="en-US" xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>myLittleWriter : On-the-fly RTF files creation component</title>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
    <meta http-equiv="Content-Script-Type" content="text/javascript" />
    <meta http-equiv="Content-Style-Type" content="text/css" />
    <meta http-equiv="Content-Language" content="en-US" />
    <meta http-equiv="pics-label" content='(pics-1.1 "http://www.icra.org/ratingsv02.html" comment "ICRAonline EN v2.0" l gen true for "http://www.myLittleTools.net" r (nz 1 vz 1 lz 1 oz 1 cz 1) "http://www.rsac.org/ratingsv01.html" l gen true for "http://www.myLittleTools.net" r (n 0 s 0 v 0 l 0))' />
    <meta content="20050115" name="date-creation-yyyymmdd" />
    <meta content="20050115" name="date-revision-yyyymmdd" />
    <meta content="15 days" name="revisit-after" />
    <meta content="index,follow" name="robots" />
    <meta content="General" name="rating" />
    <meta content="Global" name="distribution" />
    <meta content="myLittleTools, myLittleWriter, component, ASP, HTML, JScript, code, source, download, free, Microsoft, Macromedia, UltraDev, RTF, Word, DOC, on the fly, WSC, tool, tools, utility, utilities, web based, application, applications, app, apps" name="keywords" />
    <meta content="myLittleWriter is a component that allows to easily create RTF files on the fly from ASP pages without having MS Word installed on the server." name="description" />
    <meta content="Elian Chrebor, myLittleTools.net" name="author" />
    <meta content="webmaster@myLittleTools.net" name="reply-to" />
    <meta content="webmaster@myLittleTools.net" name="owner" />
    <meta content="(c) 2000-2003, Elian Chrebor, myLittleTools.net" name="copyright" />
    <link href="/favicon.ico" rel="shortcut icon" />
    <link title="Author" href="mailto:webmaster@myLittleTools.net" rel="author" />
    <script type="text/javascript"><!--
			function fillForm() {
				var oForm = document.getElementById("mlw");
				oForm.company.value = "Acme inc.";
				oForm.fname.value = "Robert";
				oForm.lname.value = "Tupplow";

				oForm.address1.value = "127 Business Blvd.";
				oForm.address2.value = "Suite B";
				oForm.city.value = "New York City";
				oForm.state.value = "NY";
				oForm.zipcode.value = "10010";
				oForm.country.value = "USA";

				oForm.phone.value = "1-234-567-9000";
				oForm.fax.value = "1-234-567-9001";

				oForm.mla_sql_whe.options[1].selected = true;
				oForm.mla_sql.options[2].selected = true;
				oForm.mlw.options[3].selected = true;
				oForm.mld.options[1].selected = true;
				return (true);
			}
		//--></script>
		<style type="text/css">
			body {
				background-color : #ffffff;
				color : #666666;
				font-family : Verdana, Arial, Geneva, Helvetica, sans-serif;
				font-size : 11px;
			}
			h1 {
				font-size : 1.5em;
				font-weight : bold;
			}
			h2 {
				background-color : #666699;
				color : #ffffff;
				font-size : 1.1em;
				font-weight : bold;
				padding : 4px 7px 4px 5px;
				margin : 0 2px 0 0;
			}
			h3 {
				font-size : 1.1em;
				font-weight : bold;
				padding-left : 12px;
				margin : 6px 0 6px 0;
				border-bottom : 1px solid #666666;
				background: transparent url(h5.gif) no-repeat center left;
			}
			input {
				font-size : 1em;
			}
			.formbox {
				float : left;
				padding : 0 40px 0 0;
			}
		</style>
</head>
<body>
    <h1>myLittleWriter Live Demo
    </h1>
    <h2>myLittleWriter :: On-the-fly RTF files creation Component
    </h2>
    <p>
        <strong>myLittleWriter allows you to easily create RTF files on the fly from your
        ASP pages. Best of all, you DON'T NEED to have MS Word installed on the server to
        use myLittleWriter.</strong> myLittleWriter is very efficient when you need to create
        reports, invoices or quotes on the fly. myLittleWriter generates real RTF files which
        means that you can open generated files with almost all word processor softwares.
    </p>
    <h2>Purchase Order Form Sample
    </h2>
    <p>
        <strong>This sample will generate a purchase order. Please fill the form below and
        click the "Generate" button.</strong>
    </p>
    <form id="mlw" method="post" action="generate.aspx">
        <div class="formbox">
            <table>
                <tbody>
                    <tr>
                        <td colspan="2">
                            <h3>Customer Info
                            </h3>
                        </td>
                    </tr>
                    <tr>
                    </tr>
                    <tr>
                        <td>
                            <label for="company">Company:</label></td>
                        <td>
                            <input id="company" type="text" name="company" /></td>
                    </tr>
                    <tr>
                        <td>
                            <label for="fname">First Name:</label></td>
                        <td>
                            <input id="fname" type="text" name="fname" /></td>
                    </tr>
                    <tr>
                        <td>
                            <label for="lname">Last Name:</label></td>
                        <td>
                            <input id="lname" type="text" name="lname" /></td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <h3>Billing address
                            </h3>
                        </td>
                    </tr>
                    <tr>
                    </tr>
                    <tr>
                        <td>
                            <label for="address1">Address Line 1:</label></td>
                        <td>
                            <input id="address1" type="text" name="address1" /></td>
                    </tr>
                    <tr>
                        <td>
                            <label for="address2">Address Line 2:</label></td>
                        <td>
                            <input id="address2" type="text" name="address2" /></td>
                    </tr>
                    <tr>
                        <td>
                            <label for="city">City:</label></td>
                        <td>
                            <input id="city" type="text" name="city" /></td>
                    </tr>
                    <tr>
                        <td>
                            <label for="state">State:</label></td>
                        <td>
                            <input id="state" type="text" name="state" /></td>
                    </tr>
                    <tr>
                        <td>
                            <label for="zipcode">Zip code:</label></td>
                        <td>
                            <input id="zipcode" type="text" name="zipcode" /></td>
                    </tr>
                    <tr>
                        <td>
                            <label for="country">Country:</label></td>
                        <td>
                            <input id="country" type="text" name="country" /></td>
                    </tr>
                    <tr>
                        <td>
                            <label for="phone">Phone:</label></td>
                        <td>
                            <input id="phone" type="text" name="phone" /></td>
                    </tr>
                    <tr>
                        <td>
                            <label for="fax">Fax:</label></td>
                        <td>
                            <input id="fax" type="text" name="fax" /></td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="formbox">
            <table>
                <thead>
                    <tr>
                        <td colspan="3">
                            <h3>Purchase order
                            </h3>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <strong>Product name</strong></td>
                        <td>
                            <strong>Qty</strong></td>
                        <td>
                            <strong>Price</strong></td>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>
                            <label for="mla_sql_whe">myLittleAdmin WebHosting Edition</label></td>
                        <td>
                            <select id="mla_sql_whe" size="1" name="mla_sql_whe">
                                <option selected="selected">0</option>
                                <option>1</option>
                                <option>2</option>
                                <option>3</option>
                                <option>4</option>
                                <option>5</option>
                            </select></td>
                        <td>
                            590.00 USD each</td>
                    </tr>
                    <tr>
                        <td>
                            <label for="mla_sql">myLittleAdmin (MS SQL and MSDE)</label></td>
                        <td>
                            <select id="mla_sql" size="1" name="mla_sql">
                                <option selected="selected">0</option>
                                <option>1</option>
                                <option>2</option>
                                <option>3</option>
                                <option>4</option>
                                <option>5</option>
                            </select></td>
                        <td>
                            350.00 USD each</td>
                    </tr>
                    <tr>
                        <td>
                            <label for="mlw">myLittleWriter</label></td>
                        <td>
                            <select id="mlw" size="1" name="mlw">
                                <option selected="selected">0</option>
                                <option>1</option>
                                <option>2</option>
                                <option>3</option>
                                <option>4</option>
                                <option>5</option>
                            </select></td>
                        <td>
                            99.00 USD each</td>
                    </tr>
                    <tr>
                        <td>
                            <label for="mld">myLittleDatagrid</label></td>
                        <td>
                            <select id="mld" size="1" name="mld">
                                <option selected="selected">0</option>
                                <option>1</option>
                                <option>2</option>
                                <option>3</option>
                                <option>4</option>
                                <option>5</option>
                            </select></td>
                        <td>
                            99.00 USD each</td>
                    </tr>
                </tbody>
            </table>
            <p>
                <input id="fill" onclick="return(fillForm());" type="button" value="Fill the form for me" name="fill" />&nbsp;
                <input id="generate" type="submit" value="Generate Purchase Order" name="generate" />
            </p>
        </div>
    </form>
</body>
</html>
